job('pem-pricegroup-ui-pr-build') {
  concurrentBuild()
  //customWorkspace('$JOB_NAME/$BUILD_NUMBER/workspace')
  environmentVariables {
          env('APP_GIT_URL', 'https://github.gapinc.com/plan/pem-price-groups-ui')
    }

  wrappers {
    credentialsBinding {
               usernamePassword('GITHUB_USER', 'GITHUB_TOKEN', 'pem-github-token')
      usernamePassword('ARTIFACTORY_USER', 'ARTIFACTORY_KEY', 'github_credential')
    }
  }
  logRotator {
        numToKeep(7)
    }

  label('pipes-docker-agent')
  environmentVariables {
    env('APP_GIT_URL', 'https://github.gapinc.com/plan/pem-price-groups-ui')
  }
scm {
      git {
           remote {
               url('https://github.gapinc.com/plan/pem-price-groups-ui')
               credentials('github_credential')
               name('origin')
               refspec('+refs/pull/*:refs/remotes/origin/pr/*')
           }
           branch('${REVISION}')
      }
  }

  steps {
    gradle {
      useWrapper(true)
      makeExecutable(true)
      tasks('clean yarn_install build test')
      switches('-g . --no-daemon')
      fromRootBuildScriptDir(true)
    }
  }
  
  publishers {
     wrappers {
        colorizeOutput()
     }
  }
}
